@import './variables.scss';
@import './animate.scss';

label {
  text-align: left;
  display: block;
  font-family: Inter, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans,
    sans-serif;
  font-size: 14px;
  color: $color-text;
  margin-bottom: 7px;
}

// lull-ui overrides
.lull-btn--info {
  background-color: $button-primary !important;
  border-color: $button-primary-border !important;
  box-shadow: none !important;

  &:hover {
    background-color: $button-primary-hover !important;
    border-color: $button-primary-border-hover !important;
  }
}

.lull-btn--danger {
  background-color: $button-secondary !important;
  border-color: $button-secondary-border !important;
  box-shadow: none !important;

  &:hover {
    background-color: $button-secondary-hover !important;
    border-color: $button-secondary-border-hover !important;
  }
}

.lull-btn:disabled {
  border-color: rgba(156, 163, 175, 0.5) !important;
  background-color: rgba(156, 163, 175, 1) !important;
  color: rgba(243, 244, 246, 1) !important;
}

.input-highlight-override {
  border-color: lighten($button-primary, 30%) !important;
  box-shadow: 0 2px 4px rgba($button-primary, 0.3), 0 0 0 3px rgba($button-primary, 0.1) !important;
}

.lull-input__container,
.lull-input-tag__group {
  &:focus-within {
    @extend .input-highlight-override;
  }
}

.lull-select__selection--active {
  @extend .input-highlight-override;
}

.lull-input-tag__group {
  min-height: 46px !important;
}

.lull-input-tag__group_tags > li {
  background-color: $color-blue;
}

.lull-input__container {
  &--disabled {
    .lull-input__input:disabled {
      color: lighten(black, 50%) !important;
    }
  }
}

.lull-input__container--danger,
.lull-select__selection--danger {
  border-color: $button-secondary !important;
}

.lull-input__message--danger,
.lull-select__message--danger {
  color: $button-secondary !important;
}

.lull-toggle input:checked + label {
  background-color: $color-blue !important;
}

.lull-select__selected--multiple > span {
  background-color: $color-blue !important;
}

.shake {
  @extend .shakeError;
}
